---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libnosuspendStackTrace.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4D3E0, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4F320, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4F708, symBinAddr: 0xE628, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x506A8, symBinAddr: 0xF5C8, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x506B0, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x67DB0, symBinAddr: 0x26CD0, symSize: 0x0 }
  - { offsetInCU: 0x8D80, offset: 0x8D80, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x67DB8, symBinAddr: 0x26CD8, symSize: 0x0 }
  - { offsetInCU: 0x8D95, offset: 0x8D95, size: 0x8, addend: 0x0, symName: _jraw_monitor, symObjAddr: 0x6BC40, symBinAddr: 0x26CE0, symSize: 0x0 }
  - { offsetInCU: 0x8DB6, offset: 0x8DB6, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x6BCE4, symBinAddr: 0x26D84, symSize: 0x0 }
  - { offsetInCU: 0x8DCB, offset: 0x8DCB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4CF30, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8DD6, offset: 0x8DD6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4CF34, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8DE1, offset: 0x8DE1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4CF38, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E26, offset: 0x8E26, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4D088, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x8E9F, offset: 0x8E9F, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4D140, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EBD, offset: 0x8EBD, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4D144, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8ED6, offset: 0x8ED6, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4D148, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8EEF, offset: 0x8EEF, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4D14C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8F08, offset: 0x8F08, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4D150, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F21, offset: 0x8F21, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4D158, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8FAA, offset: 0x8FAA, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4D170, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FC3, offset: 0x8FC3, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4D178, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FDC, offset: 0x8FDC, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4D180, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FF5, offset: 0x8FF5, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4D188, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x900F, offset: 0x900F, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4D190, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90F5, offset: 0x90F5, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4D1D8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x910E, offset: 0x910E, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x4D310, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x9160, offset: 0x9160, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x46D8, symSize: 0xA0 }
  - { offsetInCU: 0x91F5, offset: 0x91F5, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x46B0, symSize: 0x28 }
  - { offsetInCU: 0x9258, offset: 0x9258, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x4630, symSize: 0x80 }
  - { offsetInCU: 0x94EC, offset: 0x94EC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x4778, symSize: 0x20C }
  - { offsetInCU: 0x96A5, offset: 0x96A5, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x4984, symSize: 0x28 }
  - { offsetInCU: 0x976E, offset: 0x976E, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x49AC, symSize: 0xB0 }
  - { offsetInCU: 0x9865, offset: 0x9865, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x4A5C, symSize: 0xD8 }
  - { offsetInCU: 0x99B6, offset: 0x99B6, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x4B34, symSize: 0x24 }
  - { offsetInCU: 0x9A99, offset: 0x9A99, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x4B58, symSize: 0x168 }
  - { offsetInCU: 0x9C75, offset: 0x9C75, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x4CC0, symSize: 0x104 }
  - { offsetInCU: 0x9DF2, offset: 0x9DF2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x4DC4, symSize: 0x154 }
  - { offsetInCU: 0x9FD6, offset: 0x9FD6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4F18, symSize: 0xAC }
  - { offsetInCU: 0xA0D7, offset: 0xA0D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x4FC4, symSize: 0x14 }
  - { offsetInCU: 0xA110, offset: 0xA110, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4FD8, symSize: 0x14 }
  - { offsetInCU: 0xA149, offset: 0xA149, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x4FEC, symSize: 0x14 }
  - { offsetInCU: 0xA30A, offset: 0xA30A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x5000, symSize: 0x1A8 }
  - { offsetInCU: 0xA61E, offset: 0xA61E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x51A8, symSize: 0x9C }
  - { offsetInCU: 0xA6DB, offset: 0xA6DB, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x5244, symSize: 0x690 }
  - { offsetInCU: 0xB26D, offset: 0xB26D, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9434, symBinAddr: 0x66EC, symSize: 0x30 }
  - { offsetInCU: 0xB2F9, offset: 0xB2F9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x58D4, symSize: 0x74 }
  - { offsetInCU: 0xB3E1, offset: 0xB3E1, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5948, symSize: 0xB0 }
  - { offsetInCU: 0xB518, offset: 0xB518, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x59F8, symSize: 0x3C }
  - { offsetInCU: 0xB60E, offset: 0xB60E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5A34, symSize: 0x29C }
  - { offsetInCU: 0xB951, offset: 0xB951, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5CD0, symSize: 0xD0 }
  - { offsetInCU: 0xBA7F, offset: 0xBA7F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5DA0, symSize: 0xC }
  - { offsetInCU: 0xBB41, offset: 0xBB41, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5DAC, symSize: 0x22C }
  - { offsetInCU: 0xBDFC, offset: 0xBDFC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5FD8, symSize: 0x4 }
  - { offsetInCU: 0xBE40, offset: 0xBE40, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5FD8, symSize: 0x4 }
  - { offsetInCU: 0xBE59, offset: 0xBE59, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5FDC, symSize: 0x1EC }
  - { offsetInCU: 0xC0B6, offset: 0xC0B6, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x8EBC, symBinAddr: 0x61CC, symSize: 0x34 }
  - { offsetInCU: 0xC0EB, offset: 0xC0EB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EB8, symBinAddr: 0x61C8, symSize: 0x4 }
  - { offsetInCU: 0xC12F, offset: 0xC12F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EB8, symBinAddr: 0x61C8, symSize: 0x4 }
  - { offsetInCU: 0xC148, offset: 0xC148, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0x8EF0, symBinAddr: 0x6200, symSize: 0xC }
  - { offsetInCU: 0xC18C, offset: 0xC18C, size: 0x8, addend: 0x0, symName: _vmExit, symObjAddr: 0x8EFC, symBinAddr: 0x620C, symSize: 0xC }
  - { offsetInCU: 0xC1C5, offset: 0xC1C5, size: 0x8, addend: 0x0, symName: _classFileLoadEvent, symObjAddr: 0x8F08, symBinAddr: 0x6218, symSize: 0x4 }
  - { offsetInCU: 0xC249, offset: 0xC249, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_GetResult, symObjAddr: 0x8F64, symBinAddr: 0x621C, symSize: 0xC }
  - { offsetInCU: 0xC27F, offset: 0xC27F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_CreateRawMonitor, symObjAddr: 0x8F70, symBinAddr: 0x6228, symSize: 0xB8 }
  - { offsetInCU: 0xC32A, offset: 0xC32A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_RawMonitorEnter, symObjAddr: 0x9028, symBinAddr: 0x62E0, symSize: 0x70 }
  - { offsetInCU: 0xC3B7, offset: 0xC3B7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_RawMonitorExit, symObjAddr: 0x9098, symBinAddr: 0x6350, symSize: 0x70 }
  - { offsetInCU: 0xC444, offset: 0xC444, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_RawMonitorWait, symObjAddr: 0x9108, symBinAddr: 0x63C0, symSize: 0x74 }
  - { offsetInCU: 0xC4F7, offset: 0xC4F7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_RawMonitorNotify, symObjAddr: 0x917C, symBinAddr: 0x6434, symSize: 0x70 }
  - { offsetInCU: 0xC5B0, offset: 0xC5B0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_GetFrameCount, symObjAddr: 0x91EC, symBinAddr: 0x64A4, symSize: 0x70 }
  - { offsetInCU: 0xC6B6, offset: 0xC6B6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_GetStackTrace, symObjAddr: 0x925C, symBinAddr: 0x6514, symSize: 0x1D4 }
  - { offsetInCU: 0xC973, offset: 0xC973, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_SaveThreadInfo, symObjAddr: 0x9430, symBinAddr: 0x66E8, symSize: 0x4 }
  - { offsetInCU: 0xC9B5, offset: 0xC9B5, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9464, symBinAddr: 0x671C, symSize: 0x358 }
...
